# HG changeset patch
# User Florian Pose <fp@igh-essen.com>
# Date 1151335998 0
# Node ID d6145fc87a747f033fea435192fa3897c44168f9
# Parent  7eed6020d5cf5e9933ef111dec0e4a61b6ee9d05
EoE bridge default gateway.

diff -r 7eed6020d5cf -r d6145fc87a74 script/ethercat.sh
--- a/script/ethercat.sh	Mon Jun 26 14:53:17 2006 +0000
+++ b/script/ethercat.sh	Mon Jun 26 15:33:18 2006 +0000
@@ -141,6 +141,23 @@
 			rc_status -v
 			rc_exit
 		fi
+
+		# install new default gateway
+		if [ -n "$EOE_GATEWAY" ]; then
+			while /sbin/route -n | grep -E -q "^0.0.0.0"; do
+				if ! /sbin/route del default; then
+					echo "Failed to remove default route!" 1>&2
+					/bin/false
+					rc_status -v
+					rc_exit
+				fi
+			done
+			if ! /sbin/route add default gw $EOE_GATEWAY; then
+				/bin/false
+				rc_status -v
+				rc_exit
+			fi
+		fi
 	fi
 
 	rc_status -v
diff -r 7eed6020d5cf -r d6145fc87a74 script/sysconfig
--- a/script/sysconfig	Mon Jun 26 14:53:17 2006 +0000
+++ b/script/sysconfig	Mon Jun 26 15:33:18 2006 +0000
@@ -39,6 +39,13 @@
 #EOE_IP_NETMASK=255.255.255.0
 
 #
+#  Renew default gateway after bridge installation.
+#  Set this to the new default gateway, if the default route shall
+#  be renewed after the bridge has been installed.
+#
+#EOE_GATEWAY=192.168.X.X
+
+#
 #  List of extra interfaces to include in the EoE bridge.
 #  Set this to interconnect the EoE bridge with other local interfaces.
 #  If EOE_BRIDGE is empty or undefined, setting this variable has no effect.